srecord: srecord::input_filter_message_gcrypt Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_filter_message_gcrypt Class Reference

The srecord::input_filter_message_gcrypt class is used to represent a filter that runs the data through one of the hashing algorithms in the gcrypt library. More...

`#include <gcrypt.h>`

Inheritance diagram for srecord::input_filter_message_gcrypt:
[legend]
Collaboration diagram for srecord::input_filter_message_gcrypt:
[legend]

## Public Member Functions
virtual | ~input_filter_message_gcrypt ()
| The destructor.
Public Member Functions inherited from srecord::input_filter_message
virtual | ~input_filter_message ()
| The destructor.
Public Member Functions inherited from srecord::input_filter
virtual | ~input_filter ()
| The destructor.
std::string | filename () const
| The filename method is used to get the name of the input file being processed.
std::string | filename_and_line () const
| The filename_and_line method is used to get the name and current line number within the file.
const char * | get_file_format_name () const
| The get_file_format_name method is used to find out the name of the file format being read.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static pointer | create (const input::pointer &deeper, unsigned long address, const char *algo, bool hmac=false)
| The create class method is used to create a new dynamically allocated instance of this class.
static pointer | create_md5 (const input::pointer &deeper, unsigned long address)
| The create_md5 class method is used to create a new dynamically allocated instance of this class, that calculates MD5 hashes.
static pointer | create_sha1 (const input::pointer &deeper, unsigned long address)
| The create_sha1 class method is used to create a new dynamically allocated instance of this class, that calculates SHA1 hashes.
static pointer | create_rmd160 (const input::pointer &deeper, unsigned long address)
| The create_rmd160 class method is used to create a new dynamically allocated instance of this class, that calculates RMD160 hashes.
static pointer | create_md2 (const input::pointer &deeper, unsigned long address)
| The create_md2 class method is used to create a new dynamically allocated instance of this class, that calculates MD2 hashes.
static pointer | create_tiger (const input::pointer &deeper, unsigned long address)
| The create_tiger class method is used to create a new dynamically allocated instance of this class, that calculates TIGER/192 hashes.
static pointer | create_haval (const input::pointer &deeper, unsigned long address)
| The create_haval class method is used to create a new dynamically allocated instance of this class, that calculates HAVAL/160 hashes.
static pointer | create_sha256 (const input::pointer &deeper, unsigned long address)
| The create_sha256 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-256 hashes.
static pointer | create_sha384 (const input::pointer &deeper, unsigned long address)
| The create_sha384 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-384 hashes.
static pointer | create_sha512 (const input::pointer &deeper, unsigned long address)
| The create_sha512 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-512 hashes.
static pointer | create_sha224 (const input::pointer &deeper, unsigned long address)
| The create_sha224 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-224 hashes.
static pointer | create_md4 (const input::pointer &deeper, unsigned long address)
| The create_md4 class method is used to create a new dynamically allocated instance of this class, that calculates MD4 hashes.
static pointer | create_crc32 (const input::pointer &deeper, unsigned long address)
| The create_crc32 class method is used to create a new dynamically allocated instance of this class, that calculates CRC-32 hashes.
static pointer | create_crc32_rfc1510 (const input::pointer &deeper, unsigned long address)
| The create_crc32_rfc1510 class method is used to create a new dynamically allocated instance of this class, that calculates CRC32 RFC1510 hashes.
static pointer | create_crc24_rfc2440 (const input::pointer &deeper, unsigned long address)
| The create_crc24_rfc2440 class method is used to create a new dynamically allocated instance of this class, that calculates CRC24 RFC2440 hashes.
static pointer | create_whirlpool (const input::pointer &deeper, unsigned long address)
| The create_whirlpool class method is used to create a new dynamically allocated instance of this class, that calculates WHIRLPOOL hashes.

## Protected Member Functions
void | process (const memory &input, record &output)
| The process method is used to process the data from the input.
const char * | get_algorithm_name () const
| The get_algorithm_name method is used in error messages.
Protected Member Functions inherited from srecord::input_filter_message
| input_filter_message (const input::pointer &deeper, bool naked=false)
| The constructor.
bool | read (record &record)
| The read method is used to read one record from the input.
virtual unsigned | get_minimum_alignment (void) const
| The get_minimum_alignment method is used to obtain the minium require dbyte alignment.
Protected Member Functions inherited from srecord::input_filter
| input_filter (input::pointer deeper)
| The constructor.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer
Protected Attributes inherited from srecord::input_filter
pointer | ifp

## Detailed Description

The srecord::input_filter_message_gcrypt class is used to represent a filter that runs the data through one of the hashing algorithms in the gcrypt library.

http://freshmeat.net/projects/libgcrypt/ http://directory.fsf.org/project/libgcrypt/

Definition at line 35 of file gcrypt.h.

## Constructor & Destructor Documentation

## ◆ ~input_filter_message_gcrypt()

virtual srecord::input_filter_message_gcrypt::~input_filter_message_gcrypt | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::input_filter_message_gcrypt::create | ( | const input::pointer & | deeper,
|  | unsigned long | address,
|  | const char * | algo,
|  | bool | hmac = false )
| static

The create class method is used to create a new dynamically allocated instance of this class.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.
  algo | The algorithm to be used. This is for debug. The actual algorithm numbers are private to the class.
  hmac | Turn the hash into a HMAC.

## ◆ create_md5()

pointer srecord::input_filter_message_gcrypt::create_md5 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_md5 class method is used to create a new dynamically allocated instance of this class, that calculates MD5 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_sha1()

pointer srecord::input_filter_message_gcrypt::create_sha1 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_sha1 class method is used to create a new dynamically allocated instance of this class, that calculates SHA1 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_rmd160()

pointer srecord::input_filter_message_gcrypt::create_rmd160 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_rmd160 class method is used to create a new dynamically allocated instance of this class, that calculates RMD160 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_md2()

pointer srecord::input_filter_message_gcrypt::create_md2 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_md2 class method is used to create a new dynamically allocated instance of this class, that calculates MD2 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_tiger()

pointer srecord::input_filter_message_gcrypt::create_tiger | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_tiger class method is used to create a new dynamically allocated instance of this class, that calculates TIGER/192 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_haval()

pointer srecord::input_filter_message_gcrypt::create_haval | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_haval class method is used to create a new dynamically allocated instance of this class, that calculates HAVAL/160 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_sha256()

pointer srecord::input_filter_message_gcrypt::create_sha256 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_sha256 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-256 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_sha384()

pointer srecord::input_filter_message_gcrypt::create_sha384 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_sha384 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-384 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_sha512()

pointer srecord::input_filter_message_gcrypt::create_sha512 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_sha512 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-512 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_sha224()

pointer srecord::input_filter_message_gcrypt::create_sha224 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_sha224 class method is used to create a new dynamically allocated instance of this class, that calculates SHA-224 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_md4()

pointer srecord::input_filter_message_gcrypt::create_md4 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_md4 class method is used to create a new dynamically allocated instance of this class, that calculates MD4 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_crc32()

pointer srecord::input_filter_message_gcrypt::create_crc32 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_crc32 class method is used to create a new dynamically allocated instance of this class, that calculates CRC-32 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_crc32_rfc1510()

pointer srecord::input_filter_message_gcrypt::create_crc32_rfc1510 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_crc32_rfc1510 class method is used to create a new dynamically allocated instance of this class, that calculates CRC32 RFC1510 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_crc24_rfc2440()

pointer srecord::input_filter_message_gcrypt::create_crc24_rfc2440 | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_crc24_rfc2440 class method is used to create a new dynamically allocated instance of this class, that calculates CRC24 RFC2440 hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ create_whirlpool()

pointer srecord::input_filter_message_gcrypt::create_whirlpool | ( | const input::pointer & | deeper,
|  | unsigned long | address )
| static

The create_whirlpool class method is used to create a new dynamically allocated instance of this class, that calculates WHIRLPOOL hashes.

Parameters

  deeper | The source of data to be filtered.
  address | Where to place the hash in memory.

## ◆ process()

void srecord::input_filter_message_gcrypt::process | ( | const memory & | input,
|  | record & | output )
| protectedvirtual

The process method is used to process the data from the input.

Parameters

  input | The memory representation to be processed.
  output | The filter's output.

Implements srecord::input_filter_message.

## ◆ get_algorithm_name()

const char * srecord::input_filter_message_gcrypt::get_algorithm_name | ( |  | ) | const
| protectedvirtual

The get_algorithm_name method is used in error messages.

Implements srecord::input_filter_message.

The documentation for this class was generated from the following file:

- input/filter/message/gcrypt.h